## octave-iso2mesh 1.9.6%2Bds

=== debian/changelog ===
octave-iso2mesh (1.9.6+ds-7) unstable; urgency=medium

  * Team upload

  * d/rules: Honor environment variables CPPFLAGs, CXXFLAGS, and LDFLAGS
  * d/copyright:
    + Refer to common license file for Apache-2.0
    + Update copyright year for the debian/* files
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Nov 2021 17:10:06 -0300

octave-iso2mesh (1.9.6+ds-6) unstable; urgency=medium

  * Team upload

  [ Qianqian Fang ]
  * move tetgen dependency from octave-iso2mesh to iso2mesh-tools
    (closes: #985524)
  * move matlab-iso2mesh to contrib/science (closes: #984923)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 18 Aug 2021 10:02:51 -0300

octave-iso2mesh (1.9.6+ds-5) unstable; urgency=medium

  * Team upload

  * d/control: Do not restrict architectures for octave-iso2mesh
    binary package (Closes: #980794)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Feb 2021 03:53:07 -0300

octave-iso2mesh (1.9.6+ds-4) unstable; urgency=medium

  * Team upload

  * d/control: Restrict the list of architectures for iso2mesh-tools.
    This is necessary because the package does not build on build
    daemons with limited amount of disk space. Another workround must
    be found after the release of bullseye.

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Jan 2021 08:25:41 -0300

octave-iso2mesh (1.9.6+ds-3) unstable; urgency=medium

  * Team upload

  * Source-only upload, needed for migration into testing.  No changes.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 06 Jan 2021 05:32:22 -0300

octave-iso2mesh (1.9.6+ds-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.1 (no changes needed)
    + Add stanza for the matlab-iso2mesh binary package

 -- Rafael Laboissière <rafael@debian.org>  Thu, 31 Dec 2020 13:33:16 -0300

octave-iso2mesh (1.9.6+ds-1) unstable; urgency=medium

  * Team upload

  [ Qianqian Fang ]
  * New upstream version 1.9.6+ds

  [ Rafael Laboissière ]
  * d/copyright: Remove duplicate globbing pattern

 -- Rafael Laboissière <rafael@debian.org>  Sat, 26 Sep 2020 14:34:56 -0300

octave-iso2mesh (1.9.5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #962608)

 -- Qianqian Fang <fangqq@gmail.com>  Thu, 13 Aug 2020 17:59:20 -0300

## octave-iso2mesh 1.9.6+ds

=== DESCRIPTION ===
Name: iso2mesh
Version: 1.9.6
Date: 2020-05-09
Title: A 3D surface and volumetric mesh generator for MATLAB/Octave
Author: Qianqian Fang <fangqq@gmail.com>
Maintainer: Qianqian Fang <fangqq@gmail.com>
Description: Iso2Mesh is a MATLAB/Octave-based mesh generation toolbox,
 designed for easy creation of high quality surface and
 tetrahedral meshes from 3D volumetric images. It contains
 a rich set of mesh processing scripts/programs, working
 either independently or interacting with external free
 meshing utilities. Iso2Mesh toolbox can directly convert
 a 3D image stack, including binary, segmented or gray-scale
 images such as MRI or CT scans, into quality volumetric
 meshes. This makes it particularly suitable for multi-modality
 medical imaging data analysis and multi-physics modeling.
 Iso2Mesh is cross-platform and is compatible with both MATLAB
 and GNU Octave.
URL: http://iso2mesh.sf.net
Depends: jnifti, jsonlab, zmat
Categories: Mesh

=== meshfix/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (MeshFix)
add_subdirectory(contrib/JMeshLib)
include_directories(
    include
    /usr/include/superlu
    /usr/include/SuperLU
    contrib/JMeshLib/include
    contrib/OpenNL3.2.1/src
    contrib/jrs_predicates
)
file(GLOB meshfix_h include/*.h)
set(meshfix_src
    contrib/jrs_predicates/jrs_predicates.c
    src/detectIntersections.cpp
    src/holeFilling.cpp
    src/sparseLSystem.cpp
    src/mwExtensions.cpp
    src/smoothing.cpp
    contrib/OpenNL3.2.1/src/nl_single_file.c
    src/epsilonSampling.cpp
    src/simplification.cpp
    src/uniform.cpp
    src/cleaning.cpp
)
add_custom_command(
    TARGET meshfix
    PRE_LINK
    COMMAND make
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/contrib/JMeshLib/
)
if(CMAKE_CXX_SIZEOF_DATA_PTR EQUAL 8)
    ADD_DEFINITIONS(-DIS64BITPLATFORM)  ## needed for 64 bit 
endif()
ADD_DEFINITIONS(-DNL_USE_SUPERLU)
add_executable(meshfix ${meshfix_src} ${meshfix_h} meshfix.cpp)
target_link_libraries(meshfix jmesh superlu blas)

=== tools/cgalsimp2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script_with_options
# This is the CMake script for compiling a set of CGAL applications.

project( Surface_mesh_simplification )


cmake_minimum_required(VERSION 2.6.2)
if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" VERSION_GREATER 2.6)
  if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_GREATER 2.8.3)
    cmake_policy(VERSION 2.8.4)
  else()
    cmake_policy(VERSION 2.6)
  endif()
endif()

set( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
 
if ( COMMAND cmake_policy )

  cmake_policy( SET CMP0003 NEW )  

endif()

# CGAL and its components
find_package( CGAL QUIET COMPONENTS  )

if ( NOT CGAL_FOUND )

  message(STATUS "This project requires the CGAL library, and will not be compiled.")
  return()  

endif()

# include helper file
include( ${CGAL_USE_FILE} )


# Boost and its components
find_package( Boost REQUIRED )

if ( NOT Boost_FOUND )

  message(STATUS "This project requires the Boost library, and will not be compiled.")

  return()  

endif()


find_package( OpenMesh QUIET )

if ( OpenMesh_FOUND )
include( UseOpenMesh )
else()
  message(STATUS "Examples that use OpenMesh will not be compiled.")
endif()

# include for local directory

# include for local package
include_directories( BEFORE ../../include )



# Creating entries for all .cpp/.C files with "main" routine
# ##########################################################

include( CGAL_CreateSingleSourceCGALProgram )


create_single_source_cgal_program( "edge_collapse_enriched_polyhedron.cpp" )

=== tools/cgalsurf/CMakeLists.txt ===
# This is the CMake script for compiling a CGAL application.


project( Surface_mesher_example )

cmake_minimum_required(VERSION 2.6.2)
if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_GREATER 2.8.3)
  cmake_policy(VERSION 2.8.4)
else()
  cmake_policy(VERSION 2.6)
endif()

include_directories(../../include)

find_package(CGAL QUIET COMPONENTS ImageIO)

if ( CGAL_FOUND AND CGAL_ImageIO_FOUND )

  include( ${CGAL_USE_FILE} )

  include( CGAL_CreateSingleSourceCGALProgram )

  create_single_source_cgal_program( "mesh_a_3d_gray_image.cpp" )

else()
  if(RUNNING_CGAL_AUTO_TEST)
    # Just to avoid a warning from CMake if that variable is set on the command line...
  endif()
  
  message(STATUS "NOTICE: This program requires the CGAL and CGAL ImageIO libraries, and will not be compiled.")
  
endif()

=== meshfix/contrib/OpenNL3.2.1/examples/mmtx/CMakeLists.txt ===


IF(USE_SUPERLU)
    LINK_DIRECTORIES(${SUPERLU_HOME}/lib/)
ENDIF(USE_SUPERLU)

ADD_EXECUTABLE(mmtx mmtx mmio) 
ADD_DEPENDENCIES(mmtx nl)
TARGET_LINK_LIBRARIES(mmtx nl)

IF(USE_ATLAS)
    TARGET_LINK_LIBRARIES(mmtx blas)
ENDIF(USE_ATLAS)
IF(USE_SUPERLU)
    TARGET_LINK_LIBRARIES(mmtx ${SUPERLU_NAME} blas)
ENDIF(USE_SUPERLU)

=== debian/changelog ===
octave-iso2mesh (1.9.6+ds-10build1) oracular; urgency=medium

  * No-change rebuild to work around archive unhappiness

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Sep 2024 17:53:55 +0000

octave-iso2mesh (1.9.6+ds-10) unstable; urgency=medium

  * Team upload

  * d/p/implicit-function-declaration.patch: New patch (Closes: #1066594)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Mar 2024 06:02:28 -0300

octave-iso2mesh (1.9.6+ds-9) unstable; urgency=medium

  * Team upload

  * Proper installation of *.m files in the octave-iso2mesh package
    + d/not-installed: Drop file
    + d/octave-iso2mesh.install: New file
    This fixes, effectively, Bug#1013584.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Mar 2024 06:00:06 -0300

octave-iso2mesh (1.9.6+ds-8) unstable; urgency=medium

  * Team upload

  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright:
    + Update Source URL
    + d/copyright: Update list of copyright years for debian/* files
  * d/not-installed: New file.
    This avoids FTBFS triggered by dh_missing.
    Thanks to Yue Gui <yuemeng.gui@gmail.com> for the patch (Closes: #1013584)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Jan 2024 15:04:03 -0300

=== debian/control ===
Source: octave-iso2mesh
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Qianqian Fang <fangqq@gmail.com>
Section: science
Priority: optional
Standards-Version: 4.6.2
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-octave,
               libcgal-dev,
               libsuperlu-dev,
               zlib1g-dev
Homepage: https://iso2mesh.sf.net
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-iso2mesh.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-iso2mesh
Rules-Requires-Root: no


Package: octave-iso2mesh
Architecture: all
Depends: octave-zmat, octave-jsonlab, octave-jnifti, iso2mesh-tools, ${octave:Depends}, ${misc:Depends}
Description: 3D surface and volumetric mesh generator for Octave
 Iso2Mesh is a MATLAB/Octave-based mesh generation toolbox,
 designed for easy creation of high quality surface and
 tetrahedral meshes from 3D volumetric images. It contains
 a rich set of mesh processing scripts/programs, working
 either independently or interacting with external free
 meshing utilities. Iso2Mesh toolbox can directly convert
 a 3D image stack, including binary, segmented or gray-scale
 images such as MRI or CT scans, into quality volumetric
 meshes. This makes it particularly suitable for multi-modality
 medical imaging data analysis and multi-physics modeling.
 Iso2Mesh is cross-platform and is compatible with both MATLAB
 and GNU Octave.
 .
 This package contains the Octave support for iso2mesh.


Package: matlab-iso2mesh
Section: contrib/science
Architecture: all
Depends: matlab-zmat, matlab-jsonlab, matlab-jnifti, iso2mesh-tools, tetgen, ${misc:Depends}
Description: 3D surface and volumetric mesh generator for MATLAB
 Iso2Mesh is a MATLAB/Octave-based mesh generation toolbox,
 designed for easy creation of high quality surface and
 tetrahedral meshes from 3D volumetric images. It contains
 a rich set of mesh processing scripts/programs, working
 either independently or interacting with external free
 meshing utilities. Iso2Mesh toolbox can directly convert
 a 3D image stack, including binary, segmented or gray-scale
 images such as MRI or CT scans, into quality volumetric
 meshes. This makes it particularly suitable for multi-modality
 medical imaging data analysis and multi-physics modeling.
 Iso2Mesh is cross-platform and is compatible with both MATLAB
 and GNU Octave.
 .
 This package contains the MATLAB support for iso2mesh.


Package: iso2mesh-tools
Architecture: any
Depends: tetgen, ${shlibs:Depends}, ${misc:Depends}
Description: 3D mesh generation and repairing utilities
 This package contains 3D mesh generation and repairing tools
 that can be used independently and invoked inside iso2mesh.
 .
 These tools include cgalmesh (3D mesh generation from volumetric
 images), `cgalpoly` (3D mesh generation from polyhedral surfaces),
 `cgalsimp2` (triangular surface simplification), `meshfix` (3D
 surface cleaning and repairing), and `jmeshlib` (3D surface cleaning).


Package: iso2mesh-demos
Architecture: all
Depends: octave-iso2mesh, ${misc:Depends}
Description: sample files and demo scripts for Iso2Mesh toolbox
 This package contains sample meshing script and data files for
 testing and showcasing Iso2Mesh functions. The main functions
 demonstrated in this package include surface-based mesh generation
 via s2m/surf2mesh, volume-based mesh generation via v2m/vol2mesh,
 mesh smoothing (sms), boolean operations (surfboolean), downsampling
 (meshsample) and remeshing (remeshsurf).

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE =1

OCTDIR=$(shell octave-config --print LOCALOCTFILEDIR)
CGALVER=$(shell grep -o -E '\s[0-9]\.[0-9]+' /usr/include/CGAL/version.h)

ifeq ($(shell expr $(CGALVER) \< 5.0), 1)
	CGALLIB=-lCGAL -lCGAL_ImageIO
endif

%:
	+dh $@ --buildsystem=octave

override_dh_auto_configure:
	mkdir utils
	mkdir inst
	cp COPYING.txt COPYING
	cp ChangeLog.txt NEWS
	cp *.m inst
	cp *.fig inst
	cd inst; \
	rm -rf base64decode.m base64encode.m fast_match_bracket.m gzipdecode.m gzipencode.m \
	jdatadecode.m jdataencode.m jnifticreate.m loadjnifti.m loadjson.m loadmsgpack.m \
	loadnifti.m loadubjson.m lz4decode.m lz4encode.m lz4hcdecode.m lz4hcencode.m lzipdecode.m \
	lzipencode.m lzmadecode.m lzmaencode.m match_bracket.m nestbracket2dim.m nifticreate.m \
	nii2jnii.m jnii2nii.m niicodemap.m niiformat.m readnifti.m savebnii.m savejnifti.m savejnii.m \
	savemsgpack.m savenifti.m saveubjson.m zlibdecode.m zlibencode.m jsave.m jload.m savebj.m \
	loadbj.m savejson.m isoctavemesh.m mergestruct.m jsonopt.m encodevarname.m decodevarname.m

FLAGS = $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)
override_dh_auto_build:
	$(CXX) $(FLAGS) -g -O3 tools/cgalmesh/mesh_3D_image.cpp -o utils/cgalmesh $(CGALLIB) -lgmp -lmpfr
	$(CXX) $(FLAGS) -g -O3 tools/cgalmesh/mesh_polyhedral_domain.cpp -o utils/cgalpoly $(CGALLIB) -lgmp -lmpfr
	$(CXX) $(FLAGS) -g -O3 tools/cgalsurf/mesh_a_3d_gray_image.cpp -o utils/cgalsurf $(CGALLIB) -lgmp -lmpfr
	$(CXX) $(FLAGS) -g -O3 tools/cgalsimp2/edge_collapse_enriched_polyhedron.cpp -o utils/cgalsimp2 $(CGALLIB) -lgmp -lmpfr
	cd meshfix; \
	rm -rf include/SuperLU; \
	ln -sf /usr/include/superlu include/SuperLU; \
	cmake .
	$(MAKE) -C meshfix
	mv meshfix/meshfix utils
	mv meshfix/contrib/JMeshLib/test_jmeshlib utils/jmeshlib

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## octave-iso2mesh 1.9.8+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: iso2mesh
-Version: 1.9.6
-Date: 2020-05-09
+Version: 1.9.8
+Date: 2024-17-10
 Title: A 3D surface and volumetric mesh generator for MATLAB/Octave
 Author: Qianqian Fang <fangqq@gmail.com>
 Maintainer: Qianqian Fang <fangqq@gmail.com>

=== tools/Makefile ===
ROOTDIR=.
SUBDIRS=cgalmesh cgalsimp2 cgalsurf cork meshfix meshfix/contrib/JMeshLib/test tetgen

include $(ROOTDIR)/commons/Makefile_common.mk

=== tools/cgalmesh/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.


project( Mesh_3_example )

cmake_minimum_required(VERSION 2.6.2)
if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_GREATER 2.8.3)
  cmake_policy(VERSION 2.8.4)
else()
  cmake_policy(VERSION 2.6)
endif()

include_directories(../../include)
include_directories(../../../Triangulation_3/include)
include_directories(../../../STL_Extension/include)
include_directories(../../../AABB_tree/include)
add_definitions(-DCGAL_MESH_3_NO_DEPRECATED_SURFACE_INDEX
                -DCGAL_MESH_3_NO_DEPRECATED_C3T3_ITERATORS)

if ( MESH_3_VERBOSE )
  add_definitions(-DCGAL_MESH_3_VERBOSE)
endif()

find_package(CGAL COMPONENTS ImageIO)

if ( CGAL_FOUND )
  find_package(Boost)

  # Activate concurrency ? (turned OFF by default)
  option(ACTIVATE_CONCURRENT_MESH_3
    "Activate parallelism in Mesh_3"
    OFF)

  # And add -DCGAL_CONCURRENT_MESH_3 if that option is ON
  if( ACTIVATE_CONCURRENT_MESH_3 OR ENV{ACTIVATE_CONCURRENT_MESH_3} )
    add_definitions( -DCGAL_CONCURRENT_MESH_3 )
    find_package( TBB REQUIRED )
  else( ACTIVATE_CONCURRENT_MESH_3 OR ENV{ACTIVATE_CONCURRENT_MESH_3} )
    option( LINK_WITH_TBB
      "Link with TBB anyway so we can use TBB timers for profiling"
      ON)
    if( LINK_WITH_TBB )
      find_package(TBB REQUIRED)
      if (CGAL_VERSION VERSION_GREATER_EQUAL 5.1)
        include(CGAL_TBB_support)
      endif()
    endif( LINK_WITH_TBB )
  endif()


  if ( Boost_FOUND )
    include( CGAL_CreateSingleSourceCGALProgram )

    # Compilable examples
    create_single_source_cgal_program( "mesh_polyhedral_domain.cpp")
    if(CGAL_ACTIVATE_CONCURRENT_MESH_3 AND TARGET CGAL::TBB_support)
      target_link_libraries(mesh_polyhedral_domain PUBLIC CGAL::TBB_support)
    endif()
    if( WITH_CGAL_ImageIO )
      if( CGAL_ImageIO_USE_ZLIB )
        create_single_source_cgal_program( "mesh_3D_image.cpp")
        if (CGAL_VERSION VERSION_GREATER_EQUAL 5.1)
          if(CGAL_ACTIVATE_CONCURRENT_MESH_3 AND TARGET CGAL::TBB_support)
            target_link_libraries(mesh_3D_image PUBLIC CGAL::TBB_support)
          endif()
        else()
          if(CGAL_ACTIVATE_CONCURRENT_MESH_3 AND TBB_FOUND)
              CGAL_target_use_TBB(mesh_3D_image)
          endif()
        endif()
      else()
        message( STATUS "NOTICE: The examples mesh_3D_image.cpp and mesh_3D_image_variable_size.cpp need CGAL_ImageIO to be configured with ZLIB support, and will not be compiled." )
      endif()
    else()
      message( STATUS "NOTICE: Some examples need the CGAL_ImageIO library, and will not be compiled." )
    endif()

  else()
    message(STATUS "NOTICE: This program requires Boost >= 1.34.1, and will not be compiled.")
  endif()

else()
  message(STATUS "This program requires the CGAL library, and will not be compiled.")
endif()

=== tools/cgalsimp2/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,10 @@
 endif()
 
 set( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
- 
+
 if ( COMMAND cmake_policy )
 
-  cmake_policy( SET CMP0003 NEW )  
+  cmake_policy( SET CMP0003 NEW )
 
 endif()
 
@@ -27,12 +27,9 @@
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
-
-# include helper file
-include( ${CGAL_USE_FILE} )
 
 
 # Boost and its components
@@ -42,7 +39,7 @@
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()

=== tools/cgalsurf/CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,6 @@
 
 if ( CGAL_FOUND AND CGAL_ImageIO_FOUND )
 
-  include( ${CGAL_USE_FILE} )
-
   include( CGAL_CreateSingleSourceCGALProgram )
 
   create_single_source_cgal_program( "mesh_a_3d_gray_image.cpp" )
@@ -26,8 +24,8 @@
   if(RUNNING_CGAL_AUTO_TEST)
     # Just to avoid a warning from CMake if that variable is set on the command line...
   endif()
-  
+
   message(STATUS "NOTICE: This program requires the CGAL and CGAL ImageIO libraries, and will not be compiled.")
-  
+
 endif()

=== meshfix/contrib/JMeshLib/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (JMeshLib)
include_directories(include)

set(jmesh_h 
include/binTree.h
include/clusterGraph.h
include/dijkstraGraph.h
include/edge.h
include/graph.h
include/heap.h
include/jmesh.h
include/jqsort.h
include/j_mesh.h
include/list.h
include/matrix.h
include/point.h
include/tin.h
include/triangle.h
include/vertex.h
)
set(jmesh_src
src/PRIMITIVES/binTree.cpp
src/PRIMITIVES/clusterGraph.cpp
src/PRIMITIVES/dijkstraGraph.cpp
src/PRIMITIVES/graph.cpp
src/PRIMITIVES/heap.cpp
src/PRIMITIVES/jqsort.cpp
src/PRIMITIVES/list.cpp
src/PRIMITIVES/matrix.cpp
src/MESH_STRUCTURE/checkAndRepair.cpp
src/MESH_STRUCTURE/edge.cpp
src/MESH_STRUCTURE/point.cpp
src/MESH_STRUCTURE/tin.cpp
src/MESH_STRUCTURE/triangle.cpp
src/MESH_STRUCTURE/vertex.cpp
src/MESH_STRUCTURE/io.cpp
src/JMESH/jmesh.cpp
)
add_library(jmesh STATIC ${jmesh_src} ${jmesh_h})
add_executable(test_jmeshlib ${jmesh_src} ${jmesh_h} test/test.cpp)

## Compiler flags
if(CMAKE_COMPILER_IS_GNUCXX)
    ## Use '-pg' to prfile/debug; '-O1' for development; '-O2' for release version
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
    ## On some versions of gcc the optimizer uses strict aliasing rules.
    ## If this is not your case try to comment out the following line.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-strict-aliasing")
    if(CMAKE_CXX_SIZEOF_DATA_PTR EQUAL 8)
        ADD_DEFINITIONS(-DIS64BITPLATFORM)  ## needed for 64 bit
    endif()
endif()

=== meshfix/contrib/OpenNL3.2.1/CMakeLists.txt ===
######################################
#      CMake version checks
######################################
if(COMMAND cmake_minimum_required)
   cmake_minimum_required(VERSION 2.4)
endif(COMMAND cmake_minimum_required)

if(COMMAND cmake_policy)
	if(POLICY CMP0003)
		cmake_policy(SET CMP0003 OLD)
	endif(POLICY CMP0003)
	if(POLICY CMP0005)
		cmake_policy(SET CMP0005 OLD)
	endif(POLICY CMP0005)
	if(POLICY CMP0011)
		cmake_policy(SET CMP0011 OLD) # or NEW
	endif(POLICY CMP0011)
endif(COMMAND cmake_policy)


######################################
#              Project
######################################
PROJECT(OpenNL3)

SET(GEEX_BUILD_PATH ${PROJECT_BINARY_DIR})
SET(BINARIES_RELATIVE_PATH /binaries/bin/)

IF (WIN32)
    SET(LIBRARIES_RELATIVE_PATH /binaries/bin/)
ELSE(WIN32)
    SET(LIBRARIES_RELATIVE_PATH /binaries/lib/)
ENDIF(WIN32)

IF(WIN32)
    SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}${BINARIES_RELATIVE_PATH})
ELSE(WIN32)
    SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}${LIBRARIES_RELATIVE_PATH})
ENDIF(WIN32)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}${BINARIES_RELATIVE_PATH})


IF (EXISTS ${CMAKE_SOURCE_DIR}/CMakeOptions.txt)
   MESSAGE(INFO: "Using local options file: " ${CMAKE_SOURCE_DIR}/CMakeOptions.txt)
   INCLUDE(${CMAKE_SOURCE_DIR}/CMakeOptions.txt)
ENDIF(EXISTS ${CMAKE_SOURCE_DIR}/CMakeOptions.txt)

IF(USE_CNC)
    ADD_DEFINITIONS(-DNL_USE_CNC)
    
    IF(CUDA_BUILD_EMULATION)
        ADD_DEFINITIONS(-D__DEVICE_EMULATION__)
    ENDIF(CUDA_BUILD_EMULATION)


    IF(WIN32)
        ADD_DEFINITIONS(-DOS_WIN)
    ELSE(WIN32)
        ADD_DEFINITIONS(-DOS_LINUX)
    ENDIF(WIN32)

    INCLUDE(${CMAKE_SOURCE_DIR}/CMakeModules/FindCUDA.cmake)
    
    IF (CMAKE_BUILD_TYPE MATCHES Debug)
        SET(CUDA_COMPILE_TIME_EXTRA_FLAGS -G)
    ENDIF (CMAKE_BUILD_TYPE MATCHES Debug)
    
    IF(CNC_OPTIMIZE_FOR_THIS_MACHINE)
        IF(COMMAND CUDA_DISCOVER_DEVICE_FLAGS)
        ELSE(COMMAND CUDA_DISCOVER_DEVICE_FLAGS)
	        TRY_COMPILE(COMPILE_OK ${PROJECT_BINARY_DIR}/CMake ${PROJECT_SOURCE_DIR}/CMake CUDA_DISCOVER_DEVICE_FLAGS)
	        IF(NOT COMPILE_OK)
		        IF(WIN32)
			        MESSAGE("error compiling CUDA_DISCOVER_DEVICE_FLAGS extention")
		        ELSE(WIN32)
			        MESSAGE(FATAL_ERROR "error compiling CUDA_DISCOVER_DEVICE_FLAGS extention")
		        ENDIF(WIN32)
	        ENDIF(NOT COMPILE_OK)
	        LOAD_COMMAND(CUDA_DISCOVER_DEVICE_FLAGS ${PROJECT_BINARY_DIR}/CMake ${PROJECT_BINARY_DIR}/CMake/Debug)
        ENDIF(COMMAND CUDA_DISCOVER_DEVICE_FLAGS)
        CUDA_DISCOVER_DEVICE_FLAGS()
        
        SET(CUDA_NVCC_FLAGS ${CUDA_NVCC_FLAGS} ${CUDA_DEVICE_FLAGS} )
        ADD_DEFINITIONS(${CUDA_DEVICE_FLAGS})
    ELSE(CNC_OPTIMIZE_FOR_THIS_MACHINE)
      SET(CUDA_NVCC_FLAGS ${CNC_NVCC_FLAGS})
    ENDIF(CNC_OPTIMIZE_FOR_THIS_MACHINE)
    
ENDIF(USE_CNC)

IF (CMAKE_BUILD_TYPE MATCHES Debug)
    ADD_DEFINITIONS(-DNL_DEBUG)
    IF(PARANOID_DEBUG)
        ADD_DEFINITIONS(-DNL_PARANOID)
    ENDIF(PARANOID_DEBUG)
ENDIF (CMAKE_BUILD_TYPE MATCHES Debug)


#########################################
# ADD HERE ADDITIONAL INCLUDE DIRECTORIES
#########################################
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(src)

#########################################
# ADD HERE SUBDIRECTORIES
#########################################
ADD_SUBDIRECTORY(src)

IF(BUILD_EXAMPLES)
    ADD_SUBDIRECTORY(examples)
ENDIF(BUILD_EXAMPLES)


IF(WIN32)
  MESSAGE("Configure done. You may need to click on configure again if the OK button is disabled")
ENDIF(WIN32)

=== meshfix/contrib/JMeshLib/test/Makefile ===
CFLAGS = -Wall -I../include
LIBS = -L../ -ljmesh

test: test.o
	g++ -o jmeshlib test.o $(LIBS)


#-------------------------------------------------------------------------
# Dependancies
#-------------------------------------------------------------------------

test.o:			test.cpp
	$(CC) $(CFLAGS) -c $<

#-------------------------------------------------------------------------

clean :
	$(RM) -f *.o jmeshlib

=== meshfix/contrib/OpenNL3.2.1/CMake/CMakeLists.txt ===
PROJECT(CUDA_DISCOVER_DEVICE_FLAGS)

if(COMMAND cmake_minimum_required)
   cmake_minimum_required(VERSION 2.4)
endif(COMMAND cmake_minimum_required)

INCLUDE(${CMAKE_SOURCE_DIR}/../CMakeModules/FindCUDA.cmake)

SET(CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} ${CMAKE_ANSI_CXXFLAGS})

SET(CMAKE_C_FLAGS ${CMAKE_C_FLAGS} ${CMAKE_ANSI_CFLAGS})

INCLUDE_DIRECTORIES(${CMAKE_ROOT}/include ${CMAKE_ROOT}/Source)

CUDA_ADD_LIBRARY(cmCUDA_DISCOVER_DEVICE_FLAGS MODULE cmCUDA_DISCOVER_DEVICE_FLAGS.cpp)

=== meshfix/contrib/OpenNL3.2.1/examples/CMakeLists.txt ===

#Choose here what exemples you want to compile

ADD_SUBDIRECTORY(lscm_NL)
ADD_SUBDIRECTORY(mmtx)

=== meshfix/contrib/OpenNL3.2.1/src/CMakeLists.txt ===

IF(WIN32)
    IF(BUILD_SHARED_LIBS)
        ADD_DEFINITIONS(-DNL_EXPORTS)
        ADD_DEFINITIONS(-DNL_SHARED_LIBS)
    ENDIF(BUILD_SHARED_LIBS)
ENDIF(WIN32)

AUX_SOURCE_DIRECTORY(NL SOURCES)

# extensions
IF(USE_CNC)
    AUX_SOURCE_DIRECTORY(plugins/cnc SOURCES)
    set(SOURCES ${SOURCES};plugins/cnc/cnc_cuda_blas.cu)
ENDIF(USE_CNC)

IF(USE_ATLAS)
    ADD_DEFINITIONS(-DNL_USE_ATLAS)
ENDIF(USE_ATLAS)


IF(USE_SUPERLU)
    ADD_DEFINITIONS(-DNL_USE_SUPERLU)
    
    SET(SUPERLU_INCS ${SUPERLU_HOME}/SRC)
    
    INCLUDE_DIRECTORIES(${SUPERLU_INCS})
ENDIF(USE_SUPERLU)


# creation of the library
IF(USE_CNC)
    IF(WIN32)
	    CUDA_ADD_LIBRARY(nl ${SOURCES} ${HeaderFiles})
    ELSE(WIN32)
        CUDA_ADD_LIBRARY(nl ${SOURCES} )
        set_target_properties(nl PROPERTIES COMPILE_FLAGS "-malign-double")
    ENDIF(WIN32)
    CUDA_ADD_CUBLAS_TO_TARGET(nl)
ELSE(USE_CNC)
    IF(WIN32)
	    ADD_LIBRARY(nl ${SOURCES} ${HeaderFiles})
    ELSE(WIN32)
	    ADD_LIBRARY(nl ${SOURCES} )
    ENDIF(WIN32)
ENDIF(USE_CNC)

=== meshfix/contrib/OpenNL3.2.1/examples/lscm_NL/CMakeLists.txt ===


IF(USE_SUPERLU)
    LINK_DIRECTORIES(${SUPERLU_HOME}/lib/)
ENDIF(USE_SUPERLU)

ADD_EXECUTABLE(parameterize lscm_with_c_api ) 
ADD_DEPENDENCIES(parameterize nl)
TARGET_LINK_LIBRARIES(parameterize nl)

IF(USE_ATLAS)
    TARGET_LINK_LIBRARIES(parameterize blas)
ENDIF(USE_ATLAS)
IF(USE_SUPERLU)
    TARGET_LINK_LIBRARIES(parameterize ${SUPERLU_NAME} blas)
ENDIF(USE_SUPERLU)

=== debian/changelog ===
octave-iso2mesh (1.9.8+ds-2) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * superlu7.patch: new patch, fixes FTBFS against SuperLU 7 (Closes: #1104839)

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 09 Jun 2025 15:35:10 +0200

octave-iso2mesh (1.9.8+ds-1) unstable; urgency=medium

  * Team upload

  * New upstream version 1.9.8+ds
    This version does not FTBFS against CGAL 6.0 (Closes: #1074380)
  * d/watch:
    + Adapt for the new upstream naming scheme
    + Drop the useless stanza for the meshfix component
    + Drop useless filenamemangle option
  * d/p/implicit-function-declaration.patch: Drop patch (applied upstream)
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/rules:
    + Remove some extraneous *.m files
    + Remove empty doc directory

 -- Rafael Laboissière <rafael@debian.org>  Thu, 24 Oct 2024 14:47:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: octave-iso2mesh
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Qianqian Fang <fangqq@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-octave,

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,9 @@
 	lzipencode.m lzmadecode.m lzmaencode.m match_bracket.m nestbracket2dim.m nifticreate.m \
 	nii2jnii.m jnii2nii.m niicodemap.m niiformat.m readnifti.m savebnii.m savejnifti.m savejnii.m \
 	savemsgpack.m savenifti.m saveubjson.m zlibdecode.m zlibencode.m jsave.m jload.m savebj.m \
-	loadbj.m savejson.m isoctavemesh.m mergestruct.m jsonopt.m encodevarname.m decodevarname.m
+	loadbj.m savejson.m isoctavemesh.m mergestruct.m jsonopt.m encodevarname.m decodevarname.m \
+	jdatahash.m jdict.m jsoncache.m jsonpath.m jsonset.m json2couch.m filterjsonmmap.m \
+	blosc2encode.m blosc2decode.m zstdencode.m zstddecode.m	octavezmat.m
 
 FLAGS = $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)
 override_dh_auto_build:
@@ -43,3 +45,13 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+execute_after_dh_installdeb:
+	@doc_dir=$(shell find debian/octave-iso2mesh -name doc -a -empty) ;	\
+	if [ -n "$$doc_dir" ] ; then						\
+	    rmdir $$doc_dir ;							\
+	else									\
+	    echo "****************************************************" ;	\
+	    echo "Please, remove the doc dir removal hack from d/rules" ;	\
+	    echo "****************************************************" ;	\
+	fi

=== debian/watch ===
version=4

opts="compression=gz, oversionmangle=s/(.*)/$1+ds/, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
      https://github.com/fangq/iso2mesh/tags .*/v(.*)\+meshfix\.tar\.gz \
      debian debian/repack
